﻿Public Class ClientHwnd
    ''' <summary>
    ''' コンストラクタ
    ''' 現在アクティブタブのブラウザのX:0,Y:0位置のウインドウハンドルを取得して構築します
    ''' </summary>
    Public Sub New()
    End Sub
    ''' <summary>
    ''' コンストラクタ
    ''' 現在アクティブタブのブラウザのx,y位置のウインドウハンドルを取得して構築します
    ''' </summary>
    ''' <param name="x">ブラウザ座標のX位置</param>
    ''' <param name="y">ブラウザ座標のY位置</param>
    Public Sub New(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' コンストラクタ
    ''' 現在アクティブタブのブラウザのPoint構造体で示される位置のウインドウハンドルを取得して構築します
    ''' </summary>
    ''' <param name="p">ブラウザ座標のPoint構造体で表される位置</param>
    Public Sub New(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' ブラウザ座標のx,yで表される位置のオブジェクトのウインドウハンドルを取得して再構築します
    ''' </summary>
    ''' <param name="x">ブラウザ座標のX位置</param>
    ''' <param name="y">ブラウザ座標のY位置</param>
    Public Overloads Sub HwndBrowser(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' ブラウザ座標のPoint構造体で表される位置のオブジェクトのウインドウハンドルを取得して再構築します
    ''' </summary>
    ''' <param name="p">ブラウザ座標のPoint構造体で表される位置</param>
    Public Overloads Sub HwndBrowser(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' スクリーン座標のx,yで表される位置のオブジェクトのウインドウハンドルを取得して再構築します
    ''' </summary>
    ''' <param name="x">スクリーン座標のX位置</param>
    ''' <param name="y">スクリーン座標のY位置</param>
    Public Overloads Sub HwndScreen(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' スクリーン座標のPoint構造体で表される位置のオブジェクトのウインドウハンドルを取得して再構築します
    ''' </summary>
    ''' <param name="p">スクリーン座標のPoint構造体で表される位置</param>
    Public Overloads Sub HwndScreen(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' 現在のカーソル位置のオブジェクトのウインドウハンドルを取得して再構築します
    ''' </summary>
    Public Sub HwndCursor()
    End Sub
    ''' <summary>
    ''' 現在のウインドウハンドルを取得または設定します
    ''' </summary>
    ''' <returns>ウインドウハンドル</returns>
    ''' <value>ウインドウハンドル</value>
    Public Property Hwnd() As System.IntPtr
        Get
            Return New System.IntPtr
        End Get
        Set(value As System.IntPtr)
        End Set
    End Property
    ''' <summary>
    ''' スクリーン座標でのウインドウの左側位置
    ''' </summary>
    Public ReadOnly Property Left() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' スクリーン座標でのウインドウの上側位置
    ''' </summary>
    Public ReadOnly Property Top() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' スクリーン座標でのウインドウの右側位置
    ''' </summary>
    Public ReadOnly Property Right() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' スクリーン座標でのウインドウの下側位置
    ''' </summary>
    Public ReadOnly Property Bottom() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' オブジェクトウインドウ座標でのウインドウの左側位置
    ''' 常に0
    ''' </summary>
    Public ReadOnly Property LeftClient() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' オブジェクトウインドウ座標でのウインドウの上側位置
    ''' 常に0
    ''' </summary>
    Public ReadOnly Property TopClient() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' オブジェクトウインドウ座標でのウインドウの右側位置
    ''' ウインドウのX方向の幅
    ''' </summary>
    Public ReadOnly Property RightClient() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' オブジェクトウインドウ座標でのウインドウの下側位置
    ''' ウインドウのY方向の幅
    ''' </summary>
    Public ReadOnly Property BottomClient() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' スクリーン座標x,yで示されるウインドウ内の位置をマウス左ボタンクリック
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mLClick(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' スクリーン座標Point構造体で示されるウインドウ内の位置をマウス左ボタンクリック
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mLClick(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' スクリーン座標x,yで示されるウインドウ内の位置をマウス左ボタンダウン
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mLDown(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' スクリーン座標Point構造体で示されるウインドウ内の位置をマウス左ボタンダウン
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mLDown(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' スクリーン座標x,yで示されるウインドウ内の位置をマウス左ボタンアップ
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mLUp(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' スクリーン座標Point構造体で示されるウインドウ内の位置をマウス左ボタンアップ
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mLUp(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' スクリーン座標x,yで示されるウインドウ内の位置をマウス左ボタンダブルクリック
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mLDoubleClick(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' スクリーン座標Point構造体で示されるウインドウ内の位置をマウス左ボタンダブルクリック
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mLDoubleClick(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' スクリーン座標x,yで示されるウインドウ内の位置をマウス右ボタンクリック
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mRClick(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' スクリーン座標Point構造体で示されるウインドウ内の位置をマウス右ボタンクリック
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mRClick(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' スクリーン座標x,yで示されるウインドウ内の位置をマウス右ボタンダウン
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mRDown(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' スクリーン座標Point構造体で示されるウインドウ内の位置をマウス右ボタンダウン
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mRDown(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' スクリーン座標x,yで示されるウインドウ内の位置をマウス右ボタンアップ
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mRUp(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' スクリーン座標Point構造体で示されるウインドウ内の位置をマウス右ボタンアップ
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mRUp(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' スクリーン座標x,yで示されるウインドウ内の位置をマウス右ボタンダブルクリック
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mRDoubleClick(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' スクリーン座標Point構造体で示されるウインドウ内の位置をマウス右ボタンダブルクリック
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mRDoubleClick(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標x,yで示されるウインドウ内の位置をマウス左ボタンクリック
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mLClickClient(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標Point構造体で示されるウインドウ内の位置をマウス左ボタンクリック
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mLClickClient(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標x,yで示されるウインドウ内の位置をマウス左ボタンダウン
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mLDownClient(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標Point構造体で示されるウインドウ内の位置をマウス左ボタンダウン
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mLDownClient(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標x,yで示されるウインドウ内の位置をマウス左ボタンアップ
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mLUpClient(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標Point構造体で示されるウインドウ内の位置をマウス左ボタンアップ
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mLUpClient(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標x,yで示されるウインドウ内の位置をマウス左ボタンダブルクリック
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mLDoubleClickClient(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標Point構造体で示されるウインドウ内の位置をマウス左ボタンダブルクリック
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mLDoubleClickClient(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標x,yで示されるウインドウ内の位置をマウス右ボタンクリック
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mRClickClient(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標Point構造体で示されるウインドウ内の位置をマウス右ボタンクリック
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mRClickClient(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標x,yで示されるウインドウ内の位置をマウス右ボタンダウン
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mRDownClient(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標Point構造体で示されるウインドウ内の位置をマウス右ボタンダウン
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mRDownClient(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標x,yで示されるウインドウ内の位置をマウス右ボタンアップ
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mRUpClient(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標Point構造体で示されるウインドウ内の位置をマウス右ボタンアップ
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mRUpClient(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標x,yで示されるウインドウ内の位置をマウス右ボタンダブルクリック
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mRDoubleClickClient(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標Point構造体で示されるウインドウ内の位置をマウス右ボタンダブルクリック
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mRDoubleClickClient(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' ウインドウハンドルに対して文字列をポストします
    ''' </summary>
    ''' <param name="textmsg">ポストする文字列</param>
    Public Sub PostText(ByVal textmsg As String)
    End Sub
    ''' <summary>
    ''' ウインドウハンドルに対して文字コードに対するキーをクリックします
    ''' </summary>
    ''' <param name="k">ポストする文字コード</param>
    Public Sub PostKey(ByVal k As UInteger)
    End Sub
    ''' <summary>
    ''' ウインドウハンドルに対して文字コードに対するキーをダウンします
    ''' </summary>
    ''' <param name="k">ポストする文字コード</param>
    Public Sub PostKeyDown(ByVal k As UInteger)
    End Sub
    ''' <summary>
    ''' ウインドウハンドルに対して文字コードに対するキーをアップします
    ''' </summary>
    ''' <param name="k">ポストする文字コード</param>
    Public Sub PostKeyUp(ByVal k As UInteger)
    End Sub
    ''' <summary>
    ''' スクリーン座標x,yで示されるウインドウ内の位置の色を取得します
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    ''' <returns>色値 取得できなかった場合は-1</returns>
    Public Overloads Function GetColor(ByVal x As Integer, ByVal y As Integer) As Integer
        Return 0
    End Function
    ''' <summary>
    ''' スクリーン座標Point構造体で示されるウインドウ内の位置の色を取得します
    ''' </summary>
    ''' <param name="p">座標値</param>
    ''' <returns>色値 取得できなかった場合は-1</returns>
    Public Overloads Function GetColor(ByVal p As System.Drawing.Point) As Integer
        Return 0
    End Function
    ''' <summary>
    ''' オブジェクトウインドウ座標x,yで示されるウインドウ内の位置の色を取得します
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    ''' <returns>色値 取得できなかった場合は-1</returns>
    Public Overloads Function GetColorClient(ByVal x As Integer, ByVal y As Integer) As Integer
        Return 0
    End Function
    ''' <summary>
    ''' オブジェクトウインドウ座標Point構造体で示されるウインドウ内の位置の色を取得します
    ''' </summary>
    ''' <param name="p">座標値</param>
    ''' <returns>色値 取得できなかった場合は-1</returns>
    Public Overloads Function GetColorClient(ByVal p As System.Drawing.Point) As Integer
        Return 0
    End Function

    ''' <summary>
    ''' ウインドウ内を検索して、色を示す2次元配列とマッチしたスクリーン座標値をPoint構造体で返します
    ''' 見つからない場合はPoint(-1,-1)を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <returns>スクリーン座標値</returns>
    Public Overloads Function ImageSearch(ByVal pixArray As Integer(,)) As System.Drawing.Point
        Return New System.Drawing.Point(0, 0)
    End Function
    ''' <summary>
    ''' ウインドウ内の指定した四方の幅を除く範囲を検索して
    ''' 色を示す2次元配列とマッチしたスクリーン座標値をPoint構造体で返します
    ''' 見つからない場合はPoint(-1,-1)を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <param name="offsetLeft">左側検索除外範囲</param>
    ''' <param name="offsetTop">上側検索除外範囲</param>
    ''' <param name="offsetRight">右側検索除外範囲</param>
    ''' <param name="offsetBottom">下側検索除外範囲</param>
    ''' <returns>スクリーン座標値</returns>
    Public Overloads Function ImageSearch(ByVal pixArray As Integer(,), ByVal offsetLeft As Integer, ByVal offsetTop As Integer, ByVal offsetRight As Integer, ByVal offsetBottom As Integer) As System.Drawing.Point
        Return New System.Drawing.Point(0, 0)
    End Function
    ''' <summary>
    ''' ウインドウ内を検索して、色を示す2次元配列とマッチしたオブジェクトウインドウ座標値をPoint構造体で返します
    ''' 見つからない場合はPoint(-1,-1)を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <returns>オブジェクトウインドウ座標値</returns>
    Public Overloads Function ImageSearchClient(ByVal pixArray As Integer(,)) As System.Drawing.Point
        Return New System.Drawing.Point(0, 0)
    End Function
    ''' <summary>
    ''' ウインドウ内の指定した四方の幅を除く範囲を検索して
    ''' 色を示す2次元配列とマッチしたオブジェクトウインドウ座標値をPoint構造体で返します
    ''' 見つからない場合はPoint(-1,-1)を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <param name="offsetLeft">左側検索除外範囲</param>
    ''' <param name="offsetTop">上側検索除外範囲</param>
    ''' <param name="offsetRight">右側検索除外範囲</param>
    ''' <param name="offsetBottom">下側検索除外範囲</param>
    ''' <returns>オブジェクトウインドウ座標値</returns>
    Public Overloads Function ImageSearchClient(ByVal pixArray As Integer(,), ByVal offsetLeft As Integer, ByVal offsetTop As Integer, ByVal offsetRight As Integer, ByVal offsetBottom As Integer) As System.Drawing.Point
        Return New System.Drawing.Point(0, 0)
    End Function

    ''' <summary>
    ''' ウインドウ内を検索して、色を示す2次元配列とマッチした全てのスクリーン座標値をPoint構造体の配列で返します
    ''' 見つからない場合は長さ0のPoint構造体配列を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <returns>スクリーン座標値</returns>
    Public Overloads Function ImageAllSearch(ByVal pixArray As Integer(,)) As System.Drawing.Point()
        Dim p(-1) As System.Drawing.Point
        Return p
    End Function
    ''' <summary>
    ''' ウインドウ内の指定した四方の幅を除く範囲を検索して
    ''' 色を示す2次元配列とマッチした全てのスクリーン座標値をPoint構造体の配列で返します
    ''' 見つからない場合は長さ0のPoint構造体配列を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <param name="offsetLeft">左側検索除外範囲</param>
    ''' <param name="offsetTop">上側検索除外範囲</param>
    ''' <param name="offsetRight">右側検索除外範囲</param>
    ''' <param name="offsetBottom">下側検索除外範囲</param>
    ''' <returns>スクリーン座標値</returns>
    Public Overloads Function ImageAllSearch(ByVal pixArray As Integer(,), ByVal offsetLeft As Integer, ByVal offsetTop As Integer, ByVal offsetRight As Integer, ByVal offsetBottom As Integer) As System.Drawing.Point()
        Dim p(-1) As System.Drawing.Point
        Return p
    End Function
    ''' <summary>
    ''' ウインドウ内を検索して、色を示す2次元配列とマッチした全てのオブジェクトウインドウ座標値をPoint構造体の配列で返します
    ''' 見つからない場合は長さ0のPoint構造体配列を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <returns>オブジェクトウインドウ座標値</returns>
    Public Overloads Function ImageAllSearchClient(ByVal pixArray As Integer(,)) As System.Drawing.Point()
        Dim p(-1) As System.Drawing.Point
        Return p
    End Function
    ''' <summary>
    ''' ウインドウ内の指定した四方の幅を除く範囲を検索して
    ''' 色を示す2次元配列とマッチした全てのオブジェクトウインドウ座標値をPoint構造体の配列で返します
    ''' 見つからない場合は長さ0のPoint構造体配列を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <param name="offsetLeft">左側検索除外範囲</param>
    ''' <param name="offsetTop">上側検索除外範囲</param>
    ''' <param name="offsetRight">右側検索除外範囲</param>
    ''' <param name="offsetBottom">下側検索除外範囲</param>
    ''' <returns>オブジェクトウインドウ座標値</returns>
    Public Overloads Function ImageAllSearchClient(ByVal pixArray As Integer(,), ByVal offsetLeft As Integer, ByVal offsetTop As Integer, ByVal offsetRight As Integer, ByVal offsetBottom As Integer) As System.Drawing.Point()
        Dim p(-1) As System.Drawing.Point
        Return p
    End Function

    ''' <summary>
    ''' System.Drawing.Colorで表されるRGB値を整数値で返します
    ''' </summary>
    ''' <param name="c">色値</param>
    ''' <returns>色値</returns>
    Public Function Color2Int(ByVal c As System.Drawing.Color) As Integer
        Return 0
    End Function



    '********************************************
    '****
    '**** Draw
    '****
    '********************************************

    ''' <summary>
    ''' オブジェクトウインドウ座標で、楕円の一部を表す円弧を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="rect">楕円の境界を定義するRectangle構造体</param>
    ''' <param name="startangle">X軸から円弧の開始点まで、時計回りに測定した角度(度単位)</param>
    ''' <param name="sweepangle">startangleパラメータから円弧の終了点まで、時計回りに測定した角度(度単位)</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawArcClient(ByVal pen As System.Drawing.Pen, rect As System.Drawing.Rectangle, ByVal startangle As Integer, ByVal sweepangle As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、楕円の一部を表す円弧を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="x">楕円を定義する四角形の左上隅のX座標</param>
    ''' <param name="y">楕円を定義する四角形の左上隅のY座標</param>
    ''' <param name="width">楕円を定義する四角形の幅</param>
    ''' <param name="height">楕円を定義する四角形の高さ</param>
    ''' <param name="startangle">X軸から円弧の開始点まで、時計回りに測定した角度(度単位)</param>
    ''' <param name="sweepangle">startangleパラメータから円弧の終了点まで、時計回りに測定した角度(度単位)</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawArcClient(ByVal pen As System.Drawing.Pen, ByVal x As Integer, ByVal y As Integer, ByVal width As Integer, ByVal height As Integer, ByVal startangle As Integer, ByVal sweepangle As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、ベジエ・スプラインを描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="pt1">曲線の開始点を表すPoint構造体</param>
    ''' <param name="pt2">曲線の最初の制御点を表すPoint構造体</param>
    ''' <param name="pt3">曲線の2番目の制御点を表すPoint構造体</param>
    ''' <param name="pt4">曲線の終了点を表すPoint構造体</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawBezierClient(ByVal pen As System.Drawing.Pen, ByVal pt1 As System.Drawing.Point, ByVal pt2 As System.Drawing.Point, ByVal pt3 As System.Drawing.Point, ByVal pt4 As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、ベジエ・スプラインを描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="x1">曲線の開始点のX座標</param>
    ''' <param name="y1">曲線の開始点のY座標</param>
    ''' <param name="x2">曲線の最初の制御点のX座標</param>
    ''' <param name="y2">曲線の最初の制御点のY座標</param>
    ''' <param name="x3">曲線の2番目の制御点のX座標</param>
    ''' <param name="y3">曲線の2番目の制御点のY座標</param>
    ''' <param name="x4">曲線の終了点のX座標</param>
    ''' <param name="y4">曲線の終了点のY座標</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawBezierClient(ByVal pen As System.Drawing.Pen, ByVal x1 As Integer, ByVal y1 As Integer, ByVal x2 As Integer, ByVal y2 As Integer, ByVal x3 As Integer, ByVal y3 As Integer, ByVal x4 As Integer, ByVal y4 As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、Point構造体の配列から一連のベジエ・スプラインを描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="points">曲線を決定する複数の点を表すPoint構造体の配列</param>
    ''' <remarks></remarks>
    Public Sub DrawBeziersClient(ByVal pen As System.Drawing.Pen, ByVal points() As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、Point構造体の配列で定義された、閉じたカーディナル・スプラインを描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="points">スプラインを定義するPoint構造体の配列</param>
    ''' <remarks></remarks>
    Public Sub DrawClosedCurveClient(ByVal pen As System.Drawing.Pen, ByVal points() As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、指定したPoint構造体の配列を通過するカーディナル・スプラインを描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="points">スプラインを定義するPoint構造体の配列</param>
    ''' <remarks></remarks>
    Public Sub DrawCurveClient(ByVal pen As System.Drawing.Pen, ByVal points() As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、外接する楕円を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="rect">楕円の境界を定義するRectangle構造体</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawEllipseClient(ByVal pen As System.Drawing.Pen, ByVal rect As System.Drawing.Rectangle)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、外接する楕円を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="x">楕円を定義する外接する四角形の左上隅のX座標</param>
    ''' <param name="y">楕円を定義する外接する四角形の左上隅のY座標</param>
    ''' <param name="width">楕円を定義する外接する四角形の幅</param>
    ''' <param name="height">楕円を定義する外接する四角形の高さ</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawEllipseClient(ByVal pen As System.Drawing.Pen, ByVal x As Integer, ByVal y As Integer, ByVal width As Integer, ByVal height As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、2つのSystem.Drawing.Point構造体を接続する直線を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="pt1">接続する最初の点を表すSystem.Drawing.Point</param>
    ''' <param name="pt2">接続する2番目の点を表すSystem.Drawing.Point</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawLineClient(ByVal pen As System.Drawing.Pen, ByVal pt1 As System.Drawing.Point, ByVal pt2 As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、2点を接続する直線を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="x1">最初の点を表すX座標</param>
    ''' <param name="y1">最初の点を表すY座標</param>
    ''' <param name="x2">2番目の点を表すX座標</param>
    ''' <param name="y2">2番目の点を表すY座標</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawLineClient(ByVal pen As System.Drawing.Pen, ByVal x1 As Integer, ByVal y1 As Integer, ByVal x2 As Integer, ByVal y2 As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、接続する一連の線分を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="points">接続する複数の点を表すPoint構造体の配列</param>
    ''' <remarks></remarks>
    Public Sub DrawLinesClient(ByVal pen As System.Drawing.Pen, ByVal points() As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、System.Drawing.Drawing2D.GraphicsPathオブジェクトを描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="path">描画するSystem.Drawing.Drawing2D.GraphicsPathオブジェクト</param>
    ''' <remarks></remarks>
    Public Sub DrawPathClient(ByVal pen As System.Drawing.Pen, ByVal path As System.Drawing.Drawing2D.GraphicsPath)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、楕円で定義される扇形を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="rect">扇形の形状の元となる楕円を定義する外接する四角形を表すRectangle構造体</param>
    ''' <param name="startangle">X軸から扇形の最初の辺まで、時計回りに測定した角度(度単位)</param>
    ''' <param name="sweepangle">startangleパラメータから扇形の2番目の辺まで、時計回りに測定した角度(度単位)</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawPieClient(ByVal pen As System.Drawing.Pen, ByVal rect As System.Drawing.Rectangle, ByVal startangle As Integer, ByVal sweepangle As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、楕円で定義される扇形を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="x">扇形の形状の元となる楕円を定義する外接する四角形の左上隅のX座標</param>
    ''' <param name="y">扇形の形状の元となる楕円を定義する外接する四角形の左上隅のY座標</param>
    ''' <param name="width">扇形の形状の元となる楕円を定義する外接する四角形の幅</param>
    ''' <param name="height">扇形の形状の元となる楕円を定義する外接する四角形の高さ</param>
    ''' <param name="startangle">X軸から扇形の最初の辺まで、時計回りに測定した角度(度単位)</param>
    ''' <param name="sweepangle">startangleパラメータから扇形の2番目の辺まで、時計回りに測定した角度(度単位)</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawPieClient(ByVal pen As System.Drawing.Pen, ByVal x As Integer, ByVal y As Integer, ByVal width As Integer, ByVal height As Integer, ByVal startangle As Integer, ByVal sweepangle As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、多角形を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="points">多角形の頂点を表すPoint構造体の配列</param>
    ''' <remarks></remarks>
    Public Sub DrawPolygonClient(ByVal pen As System.Drawing.Pen, ByVal points() As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、四角形を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="rect">描画する四角形を表すRectangle構造体</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawRectangleClient(ByVal pen As System.Drawing.Pen, ByVal rect As System.Drawing.Rectangle)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、四角形を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="x">描画する四角形の左上隅のX座標</param>
    ''' <param name="y">描画する四角形の左上隅のY座標</param>
    ''' <param name="width">描画する四角形の幅</param>
    ''' <param name="height">描画する四角形の高さ</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawRectangleClient(ByVal pen As System.Drawing.Pen, ByVal x As Integer, ByVal y As Integer, ByVal width As Integer, ByVal height As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、一連の四角形を描画します
    ''' </summary>
    ''' <param name="pen">線の色、幅、およびスタイルを決定するSystem.Drawing.Pen</param>
    ''' <param name="rects">描画する四角形を表すRectangle構造体の配列</param>
    ''' <remarks></remarks>
    Public Sub DrawRectanglesClient(ByVal pen As System.Drawing.Pen, ByVal rects() As System.Drawing.Rectangle)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で指定した位置に、指定したBrushオブジェクトとFontオブジェクトで、指定した文字列を描画します
    ''' </summary>
    ''' <param name="s">描画する文字列</param>
    ''' <param name="font">文字列のテキスト形式を定義するFontオブジェクト</param>
    ''' <param name="brush">描画するテキストの色とテクスチャを決定するBrushオブジェクト</param>
    ''' <param name="pt">描画するテキストの左上隅の座標を表すSystem.Drawing.Point</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawStringClient(ByVal s As String, ByVal font As System.Drawing.Font, ByVal brush As System.Drawing.Brush, ByVal pt As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で指定した位置に、指定したBrushオブジェクトとFontオブジェクトで、指定した文字列を描画します
    ''' </summary>
    ''' <param name="s">描画する文字列</param>
    ''' <param name="font">文字列のテキスト形式を定義するFontオブジェクト</param>
    ''' <param name="brush">描画するテキストの色とテクスチャを決定するBrushオブジェクト</param>
    ''' <param name="x">描画するテキストの左上隅のX座標</param>
    ''' <param name="y">描画するテキストの左上隅のY座標</param>
    ''' <remarks></remarks>    
    Public Overloads Sub DrawStringClient(ByVal s As String, ByVal font As System.Drawing.Font, ByVal brush As System.Drawing.Brush, ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で指定した位置に、指定したBrushオブジェクトとFontオブジェクトで、指定した文字列を描画します
    ''' </summary>
    ''' <param name="s">描画する文字列</param>
    ''' <param name="font">文字列のテキスト形式を定義するFontオブジェクト</param>
    ''' <param name="brush">描画するテキストの色とテクスチャを決定するBrushオブジェクト</param>
    ''' <param name="pt">描画するテキストの左上隅の座標を表すSystem.Drawing.Point</param>
    ''' <param name="format">描画するテキストに適用する行間や配置などの書式属性を指定するSystem.Drawing.StringFormat</param>
    ''' <remarks></remarks>
    Public Overloads Sub DrawStringClient(ByVal s As String, ByVal font As System.Drawing.Font, ByVal brush As System.Drawing.Brush, ByVal pt As System.Drawing.Point, ByVal format As System.Drawing.StringFormat)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で指定した位置に、指定したBrushオブジェクトとFontオブジェクトで、指定した文字列を描画します
    ''' </summary>
    ''' <param name="s">描画する文字列</param>
    ''' <param name="font">文字列のテキスト形式を定義するFontオブジェクト</param>
    ''' <param name="brush">描画するテキストの色とテクスチャを決定するBrushオブジェクト</param>
    ''' <param name="x">描画するテキストの左上隅のX座標</param>
    ''' <param name="y">描画するテキストの左上隅のY座標</param>
    ''' <param name="format">描画するテキストに適用する行間や配置などの書式属性を指定するSystem.Drawing.StringFormat</param>
    ''' <remarks></remarks> 
    Public Overloads Sub DrawStringClient(ByVal s As String, ByVal font As System.Drawing.Font, ByVal brush As System.Drawing.Brush, ByVal x As Integer, ByVal y As Integer, ByVal format As System.Drawing.StringFormat)
    End Sub



    '********************************************
    '****
    '**** Fill
    '****
    '********************************************

    ''' <summary>
    ''' オブジェクトウインドウ座標で、Point構造体の配列で定義される、閉じたカーディナル スプライン曲線の内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="points">スプラインを定義するPoint構造体の配列</param>
    ''' <remarks></remarks>
    Public Sub FillClosedCurveClient(ByVal brush As System.Drawing.Brush, ByVal points() As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、Point構造体の配列で定義される、閉じたカーディナル スプライン曲線の内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="points">スプラインを定義するPoint構造体の配列</param>
    ''' <param name="fillmode">曲線を塗りつぶす方法を決定するSystem.Drawing.Drawing2D.FillMode列挙体のメンバ</param>
    ''' <remarks></remarks>
    Public Sub FillClosedCurveClient(ByVal brush As System.Drawing.Brush, ByVal points() As System.Drawing.Point, ByVal fillmode As System.Drawing.Drawing2D.FillMode)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、Point構造体の配列で定義される、閉じたカーディナル スプライン曲線の内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="points">スプラインを定義するPoint構造体の配列</param>
    ''' <param name="fillmode">曲線を塗りつぶす方法を決定するSystem.Drawing.Drawing2D.FillMode列挙体のメンバ</param>
    ''' <param name="tension">曲線のテンションを指定する0.0F以上の値</param>
    ''' <remarks></remarks>
    Public Sub FillClosedCurveClient(ByVal brush As System.Drawing.Brush, ByVal points() As System.Drawing.Point, ByVal fillmode As System.Drawing.Drawing2D.FillMode, ByVal tension As Single)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、外接する四角形によって定義される楕円の内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="rect">楕円の境界を定義するRectangle構造体</param>
    ''' <remarks></remarks>
    Public Overloads Sub FillEllipseClient(ByVal brush As System.Drawing.Brush, ByVal rect As System.Drawing.Rectangle)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、外接する四角形によって定義される楕円の内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="x">楕円を定義する外接する四角形の左上隅のX座標</param>
    ''' <param name="y">楕円を定義する外接する四角形の左上隅のY座標</param>
    ''' <param name="width">楕円を定義する外接する四角形の幅</param>
    ''' <param name="height">楕円を定義する外接する四角形の高さ</param>
    ''' <remarks></remarks>
    Public Overloads Sub FillEllipseClient(ByVal brush As System.Drawing.Brush, ByVal x As Integer, ByVal y As Integer, ByVal width As Integer, ByVal height As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、System.Drawing.Drawing2D.GraphicsPathオブジェクトの内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="path">塗りつぶし対象のパスを表すSystem.Drawing.Drawing2D.GraphicsPathオブジェクト</param>
    ''' <remarks></remarks>
    Public Sub FillPathClient(ByVal brush As System.Drawing.Brush, ByVal path As System.Drawing.Drawing2D.GraphicsPath)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、楕円で定義される扇形の内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="rect">扇形の形状の元となる楕円を定義する外接する四角形を表すRectangle構造体</param>
    ''' <param name="startangle">X軸から扇形の最初の辺まで、時計回りに測定した角度(度単位)</param>
    ''' <param name="sweepangle">startangleパラメータから扇形の2番目の辺まで、時計回りに測定した角度(度単位)</param>
    ''' <remarks></remarks>
    Public Overloads Sub FillPieClient(ByVal brush As System.Drawing.Brush, ByVal rect As System.Drawing.Rectangle, ByVal startangle As Integer, ByVal sweepangle As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、楕円で定義される扇形の内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="x">扇形の形状の元となる楕円を定義する外接する四角形の左上隅のX座標</param>
    ''' <param name="y">扇形の形状の元となる楕円を定義する外接する四角形の左上隅のY座標</param>
    ''' <param name="width">扇形の形状の元となる楕円を定義する外接する四角形の幅</param>
    ''' <param name="height">扇形の形状の元となる楕円を定義する外接する四角形の高さ</param>
    ''' <param name="startangle">X軸から扇形の最初の辺まで、時計回りに測定した角度(度単位)</param>
    ''' <param name="sweepangle">startangleパラメータから扇形の2番目の辺まで、時計回りに測定した角度(度単位)</param>
    ''' <remarks></remarks>
    Public Overloads Sub FillPieClient(ByVal brush As System.Drawing.Brush, ByVal x As Integer, ByVal y As Integer, ByVal width As Integer, ByVal height As Integer, ByVal startangle As Integer, ByVal sweepangle As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、多角形の内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="points">多角形の頂点を表すPoint構造体の配列</param>
    ''' <remarks></remarks>
    Public Overloads Sub FillPolygonClient(ByVal brush As System.Drawing.Brush, ByVal points() As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、多角形の内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="points">多角形の頂点を表すPoint構造体の配列</param>
    ''' <param name="fillMode">塗りつぶしのスタイルを決定するSystem.Drawing.Drawing2D.FillMode列挙体のメンバ</param>
    ''' <remarks></remarks>
    Public Overloads Sub FillPolygonClient(ByVal brush As System.Drawing.Brush, ByVal points() As System.Drawing.Point, ByVal fillMode As System.Drawing.Drawing2D.FillMode)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、四角形の内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="rect">塗りつぶす四角形を表すRectangle構造体</param>
    ''' <remarks></remarks>
    Public Overloads Sub FillRectangleClient(ByVal brush As System.Drawing.Brush, ByVal rect As System.Drawing.Rectangle)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、四角形の内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="x">塗りつぶす四角形の左上隅のX座標</param>
    ''' <param name="y">塗りつぶす四角形の左上隅のY座標</param>
    ''' <param name="width">塗りつぶす四角形の幅</param>
    ''' <param name="height">塗りつぶす四角形の高さ</param>
    ''' <remarks></remarks>
    Public Overloads Sub FillRectangleClient(ByVal brush As System.Drawing.Brush, ByVal x As Integer, ByVal y As Integer, ByVal width As Integer, ByVal height As Integer)
    End Sub
    ''' <summary>
    ''' オブジェクトウインドウ座標で、一連の四角形の内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="rects">塗りつぶす四角形を表すRectangle構造体の配列</param>
    ''' <remarks></remarks>
    Public Sub FillRectanglesClient(ByVal brush As System.Drawing.Brush, ByVal rects() As System.Drawing.Rectangle)
    End Sub
    ''' <summary>
    ''' System.Drawing.Regionオブジェクトの内部を塗りつぶします
    ''' </summary>
    ''' <param name="brush">塗りつぶしの特性を決定するSystem.Drawing.Brush</param>
    ''' <param name="region">塗りつぶす領域を表すSystem.Drawing.Regionオブジェクト</param>
    ''' <remarks></remarks>
    Public Sub FillRegionClient(ByVal brush As System.Drawing.Brush, ByVal region As System.Drawing.Region)
    End Sub

End Class
