﻿Public Class StdFunc
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    Public Sub New()
    End Sub
    ''' <summary>
    ''' 文字列を整数に変換する
    ''' </summary>
    ''' <param name="s">+または-および0から9で構成される文字列。それ以外の文字が出現した場合はそこで終了</param>
    ''' <returns>対応する数値(オーバーフローの場合は0を返す)</returns>
    ''' <remarks></remarks>
    Public Function IntVal(ByVal s As String) As Integer
		Return 0
    End Function
    ''' <summary>
    ''' ミリ秒で指定した時間停止してOSに処理を明け渡します
    ''' 60秒を超える値が指定された場合は60秒として処理されます
    ''' stopFlagがTrueになった場合、処理を抜けます
    ''' </summary>
    ''' <param name="num">ミリ秒を表す整数</param>
    Public Sub WaitMilliSec(ByVal num As Integer)
    End Sub
    ''' <summary>
    ''' 秒で指定した時間停止してOSに処理を明け渡します
    ''' 60秒を超える値が指定された場合は60秒として処理されます
    ''' stopFlagがTrueになった場合、処理を抜けます
    ''' </summary>
    ''' <param name="num">秒を表す整数</param>
    Public Sub WaitSec(ByVal num As Integer)
    End Sub

    '*******************************************
    '*** ファイル　リードライト
    '*******************************************

    ''' <summary>
    ''' 文字列をテキストファイルとして書き出します。既にファイルが存在する場合は上書きされます。エンコードはUTF-8
    ''' </summary>
    ''' <param name="filepath">ファイルのフルパスおよびファイル名</param>
    ''' <param name="str">書き出す文字列</param>
    ''' <returns>成功した場合はTrue 失敗した場合はFalse</returns>
    ''' <remarks></remarks>
    Public Overloads Function FileWrite(ByVal filepath As String, ByVal str As String) As Boolean
        Return False
    End Function
    ''' <summary>
    ''' 文字列をテキストファイルとして書き出します。既にファイルが存在する場合は上書きされます
    ''' </summary>
    ''' <param name="filepath">ファイルのフルパスおよびファイル名</param>
    ''' <param name="str">書き出す文字列</param>
    ''' <param name="encode">エンコード文字列 "utf8" "shift_jis" "iso-2022-jp" "euc-jp"</param>
    ''' <returns>成功した場合はTrue 失敗した場合はFalse</returns>
    ''' <remarks></remarks>
    Public Overloads Function FileWrite(ByVal filepath As String, ByVal str As String, ByVal encode As String) As Boolean
        Return False
    End Function
    ''' <summary>
    ''' 文字列をテキストファイルとして書き出します。既にファイルが存在する場合は上書きされます
    ''' </summary>
    ''' <param name="filepath">ファイルのフルパスおよびファイル名</param>
    ''' <param name="str">書き出す文字列</param>
    ''' <param name="encode">エンコードSystem.Text.Encoding</param>
    ''' <returns>成功した場合はTrue 失敗した場合はFalse</returns>
    ''' <remarks></remarks>
    Public Overloads Function FileWrite(ByVal filepath As String, ByVal str As String, ByVal encode As System.Text.Encoding) As Boolean
        Return False
    End Function
    ''' <summary>
    ''' 文字列をテキストファイルに追加します。ファイルが存在しない場合は新規作成されます。エンコードはUTF-8
    ''' </summary>
    ''' <param name="filepath">ファイルのフルパスおよびファイル名</param>
    ''' <param name="str">書き出す文字列</param>
    ''' <returns>成功した場合はTrue 失敗した場合はFalse</returns>
    ''' <remarks></remarks>
    Public Overloads Function FileAppend(ByVal filepath As String, ByVal str As String) As Boolean
        Return False
    End Function
    ''' <summary>
    ''' 文字列をテキストファイルに追加します。ファイルが存在しない場合は新規作成されます。
    ''' </summary>
    ''' <param name="filepath">ファイルのフルパスおよびファイル名</param>
    ''' <param name="str">書き出す文字列</param>
    ''' <param name="encode">エンコード文字列 "utf8" "shift_jis" "iso-2022-jp" "euc-jp"</param>
    ''' <returns>成功した場合はTrue 失敗した場合はFalse</returns>
    ''' <remarks></remarks>
    Public Overloads Function FileAppend(ByVal filepath As String, ByVal str As String, ByVal encode As String) As Boolean
        Return False
    End Function
    ''' <summary>
    ''' 文字列をテキストファイルに追加します。ファイルが存在しない場合は新規作成されます。
    ''' </summary>
    ''' <param name="filepath">ファイルのフルパスおよびファイル名</param>
    ''' <param name="str">書き出す文字列</param>
    ''' <param name="encode">エンコードSystem.Text.Encoding</param>
    ''' <returns>成功した場合はTrue 失敗した場合はFalse</returns>
    ''' <remarks></remarks>
    Public Overloads Function FileAppend(ByVal filepath As String, ByVal str As String, ByVal encode As System.Text.Encoding) As Boolean
        Return False
    End Function
    ''' <summary>
    ''' テキストファイルを文字列として読み込みます。エンコードはUTF-8
    ''' </summary>
    ''' <param name="filepath">ファイルのフルパスおよびファイル名</param>
    ''' <returns>成功した場合は文字列。失敗した場合はNothing</returns>
    ''' <remarks></remarks>
    Public Overloads Function FileRead(ByVal filepath As String) As String
        Return Nothing
    End Function
    ''' <summary>
    ''' テキストファイルを文字列として読み込みます。
    ''' </summary>
    ''' <param name="filepath">ファイルのフルパスおよびファイル名</param>
    ''' <param name="encode">エンコード文字列 "utf8" "shift_jis" "iso-2022-jp" "euc-jp"</param>
    ''' <returns>成功した場合は文字列。失敗した場合はNothing</returns>
    ''' <remarks></remarks>
    Public Overloads Function FileRead(ByVal filepath As String, ByVal encode As String) As String
        Return Nothing
    End Function
    ''' <summary>
    ''' テキストファイルを文字列として読み込みます。
    ''' </summary>
    ''' <param name="filepath">ファイルのフルパスおよびファイル名</param>
    ''' <param name="encode">エンコードSystem.Text.Encoding</param>
    ''' <returns>成功した場合は文字列。失敗した場合はNothing</returns>
    ''' <remarks></remarks>
    Public Overloads Function FileRead(ByVal filepath As String, ByVal encode As System.Text.Encoding) As String
        Return Nothing
    End Function
    ''' <summary>
    ''' テキストファイルのすべての行を文字列配列として読み込みます。エンコードはUTF-8
    ''' </summary>
    ''' <param name="filepath">ファイルのフルパスおよびファイル名</param>
    ''' <returns>成功した場合は文字列配列。失敗した場合はNothing</returns>
    ''' <remarks></remarks>
    Public Overloads Function FileReadLines(ByVal filepath As String) As String()
        Return Nothing
    End Function
    ''' <summary>
    ''' テキストファイルのすべての行を文字列配列として読み込みます
    ''' </summary>
    ''' <param name="filepath">ファイルのフルパスおよびファイル名</param>
    ''' <param name="encode">エンコード文字列 "utf8" "shift_jis" "iso-2022-jp" "euc-jp"</param>
    ''' <returns>成功した場合は文字列配列。失敗した場合はNothing</returns>
    ''' <remarks></remarks>
    Public Overloads Function FileReadLines(ByVal filepath As String, ByVal encode As String) As String()
        Return Nothing
    End Function
    ''' <summary>
    ''' テキストファイルのすべての行を文字列配列として読み込みます
    ''' </summary>
    ''' <param name="filepath">ファイルのフルパスおよびファイル名</param>
    ''' <param name="encode">エンコードSystem.Text.Encoding</param>
    ''' <returns>成功した場合は文字列配列。失敗した場合はNothing</returns>
    ''' <remarks></remarks>
    Public Overloads Function FileReadLines(ByVal filepath As String, ByVal encode As System.Text.Encoding) As String()
        Return Nothing
    End Function
End Class
