﻿Public Class TabBrowser
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    Public Sub New()
    End Sub
    ''' <summary>
    ''' ブラウザの現在アクティブなタブのタブテキストを取得または設定します
    ''' </summary>
    ''' <returns>現在アクティブなタブのタブテキスト</returns>
    ''' <value>現在アクティブなタブへ設定するタブテキスト</value>
    Public Property TabText() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' 現在アクティブなタブのブラウザを取得または設定します
    ''' </summary>
    ''' <returns>WebBrowser</returns>
    ''' <value>WebBrowser</value>
    Public Property WebBrowser() As System.Windows.Forms.WebBrowser
        Get
            Return New System.Windows.Forms.WebBrowser
        End Get
        Set(value As System.Windows.Forms.WebBrowser)
        End Set
    End Property
    ''' <summary>
    ''' 作成されているタブの数を取得します
    ''' </summary>
    ''' <returns>タブの数</returns>
    Public ReadOnly Property TabCount() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' 現在アクティブなタブのInteger型ストレージから取得または設定します
    ''' </summary>
    ''' <param name="num">ストレージの番号(0 -- 20)</param>
    ''' <returns>現在タブのストレージ番号に保存してある数値</returns>
    ''' <value>現在タブのストレージ番号に保存する数値</value>
    Public Property StrageInteger(ByVal num As Integer) As Integer
        Get
            Return 0
        End Get
        Set(value As Integer)
        End Set
    End Property
    ''' <summary>
    ''' 現在アクティブなタブのString型ストレージから取得または設定します
    ''' </summary>
    ''' <param name="num">ストレージの番号(0 -- 20)</param>
    ''' <returns>現在タブのストレージ番号に保存してある文字列</returns>
    ''' <value>現在タブのストレージ番号に保存する文字列</value>
    Public Property StrageString(ByVal num As Integer) As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' ブラウザのユーザーエージェントを取得または設定します
    ''' </summary>
    ''' <value>ユーザーエージェント文字列</value>
    ''' <returns>ユーザーエージェント文字列</returns>
    ''' <remarks></remarks>
    Public Property UserAgent() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' ブラウザのタブを追加して追加したタブをアクティブにします
    ''' </summary>
    Public Sub TabAdd()
    End Sub
    ''' <summary>
    ''' アクティブなタブを閉じます
    ''' </summary>
    Public Sub TabClose()
    End Sub
    ''' <summary>
    ''' ブラウザの現在アクティブなタブの次のタブをアクティブにします
    ''' </summary>
    Public Sub TabNext()
    End Sub
    ''' <summary>
    ''' ブラウザの現在アクティブなタブへURLを指定します
    ''' </summary>
    ''' <param name="address">URL</param>
    Public Sub Navigate(ByVal address As String)
    End Sub
    ''' <summary>
    ''' ブラウザのドキュメントロード完了時に呼び出すイベントハンドラを指定します
    ''' </summary>
    ''' <param name="eh">イベントハンドラ</param>
    Public Sub DocumentCompletedEventAdd(ByVal eh As System.EventHandler)
    End Sub
    ''' <summary>
    ''' ブラウザのドキュメントロード完了時に呼び出すイベントハンドラを解除します
    ''' </summary>
    ''' <param name="eh">イベントハンドラ</param>
    Public Sub DocumentCompletedEventRemove(ByVal eh As System.EventHandler)
    End Sub

End Class
